Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Dialogfenster an Cursor

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Dialogfenster an Cursor (815 mal gelesen)
mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 11. Apr. 2005 16:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Lispler

ist es möglich ein Dialogfenster, ähnlich wie ein Kontexmenü, dort öffnen zu lassen wo sich gerade der Curser befindet.

Beispiel:  Möchte aus einem Dialogfester heraus weitere Dialogfenster öffnen. Das erste Dialogfenster ist recht groß, die zu öffnenden relativ klein. Währe schön wenn das neue Fenster dort geöffnet würde wo sich gerade der Curser befindet (über der Taste zum öffnen des Dialogfensters)  Danke schon mal, aber so wie ich Lisp mitlerweile kenn ist das nicht möglich. Wollte nur sicherheitshalber mal nachfragen.

------------------
    Martin   

Viele Grüße aus dem schönen Münsterland!

[Diese Nachricht wurde von mkl-cad am 11. Apr. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Helmut Schepers
Mitglied



Sehen Sie sich das Profil von Helmut Schepers an!   Senden Sie eine Private Message an Helmut Schepers  Schreiben Sie einen Gästebucheintrag für Helmut Schepers

Beiträge: 35
Registriert: 01.11.2001

AutoCad 2000, AutoCAd 2002, Windows XP-pro
Treppenbau-Software

erstellt am: 11. Apr. 2005 17:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mkl-cad 10 Unities + Antwort hilfreich

Hallo Matin,

wie man eine Dialog-Box an der Cursor-Position öffnet weis ich auch nicht, du kannst aber beim öffnne eine Liste mit Bildschirm-Punkten übergeben.

(if (not (new_dialog "schiebe" open_dcl "" (list 200 100)))(exit))

Hoffe es hilft dir weiter.
Helmut

(komme übrigens auch aus dem Münsterland)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 12. Apr. 2005 07:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Helmut,

Ich glaube das könnte mir schon weiterhelfen, der Cursor steht ja in dem Moment des öffnens auf ein Dialogbutton und die ungefähre Position müßte ich dann austesten in abhängigkeit der Bildschirmauflösung. Nur daran scheint man ja auch nicht einfach zu kommen. Oder ist da schon jemand weiter.

Ganz klar komme ich damit nicht. Hab das mit einer DCL-Datei getestet und bekomme die Meldung
; Fehler: Fehlerhafter Argumenttyp: fixnump: nil
Wo bauee ich das ding genau ein. Kannst Du mir ein kleines beispiel geben

Das Dialogfenster muß ja nicht unbedingt an der Position des Cursers öffnen. An der Stelle des Dialogbutton würde das ja auch gehn.

------------------
  Martin  

Viele Grüße aus dem schönen Münsterland!

[Diese Nachricht wurde von mkl-cad am 12. Apr. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 12. Apr. 2005 07:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mkl-cad 10 Unities + Antwort hilfreich

Vielleicht hilft dir das oder z.T. das ein wenig weiter ?!

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 12. Apr. 2005 08:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Thomas

das würde mir veilleicht helfen wenn ich das erste Dialogfenster am Curser binden möchte. Da ich aber das darauffolgende Dialogfenster wo anderes darstellen möchte habe ich das Porblem das der koordinatenpunkt beim wandern des Cursers über ein Dialogfenster sich nicht ändert, aber dennoch vielen Dank, werde mal weiter tüfteln.


Ist open_dcl eine Fuktion? Dazu finde ich in der Hilfe nichts.
------------------
  Martin  

Viele Grüße aus dem schönen Münsterland!

[Diese Nachricht wurde von mkl-cad am 12. Apr. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Helmut Schepers
Mitglied



Sehen Sie sich das Profil von Helmut Schepers an!   Senden Sie eine Private Message an Helmut Schepers  Schreiben Sie einen Gästebucheintrag für Helmut Schepers

Beiträge: 35
Registriert: 01.11.2001

AutoCad 2000, AutoCAd 2002, Windows XP-pro
Treppenbau-Software

erstellt am: 12. Apr. 2005 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mkl-cad 10 Unities + Antwort hilfreich

Hallo Martin,

hier mal ein Beispiel wie man sich die Position der DCL-Box merken kann um sie nach dem verschieben auf dem Bildschirm wieder an der selben Stelle zu öffnen.

********************************************************************************
als test.lsp speichern

(defun c:merk-dcl-pos ( / OK OPEN_DCL)

(setq open_dcl (load_dialog "c:/lisp/test.dcl")) ;; Pfad anpassen

(if merk_po
(if (not (new_dialog "schiebe" open_dcl "" merk_po))(exit));; merk_po durch liste mit Koordinaten ersetzen.
(if (not (new_dialog "schiebe" open_dcl ))(exit))
)

(action_tile "accept" "(setq merk_po (done_dialog 1))")
(action_tile "cancel" "(setq merk_po 'nil)(done_dialog 0))")

(setq ok (start_dialog))
); ende defun

********************************************************************************

ab hier als test.dcl speichern


schiebe:

dialog{label ="Dialog-Box verschieben ";
:spacer{height=1;}
:text{label="Bitte Dialog-Box auf dem Bildschirm verschieben";}
:spacer{height=1;}
:text{label="beim verlassen mit OK -> Position merken";}
:spacer{height=1;}


ok_cancel;
}

Gruß Helmut

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 12. Apr. 2005 16:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Helmut, damit werde ich wohl klarkommen. Bis zum austesten und weiterschreiben wirds wohl bis zum Wochenende dauern. Nochmals vielen Dank für Deine Mühe.

------------------
  Martin 

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz